mscorlib 2.0.0.0 4.0.0.0 System.Enum System.Flags To be added.

Specifies the cryptographic key operation for which an authorization rule controls access or auditing.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.CryptoKeyRights

  Change permissions for the key.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.CryptoKeyRights

  Delete the key.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.CryptoKeyRights

  Full control of the key.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.CryptoKeyRights

  A combination of and .

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.CryptoKeyRights

  Not used.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.CryptoKeyRights

  Read the key data, extended attributes of the key, attributes of the key, and permissions for the key.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.CryptoKeyRights

  Write the key data, extended attributes of the key, attributes of the key, and permissions for the key.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.CryptoKeyRights

  Read attributes of the key.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.CryptoKeyRights

  Read the key data.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.CryptoKeyRights

  Read extended attributes of the key.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.CryptoKeyRights

  Read permissions for the key.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.CryptoKeyRights

  Use the key for synchronization.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.CryptoKeyRights

  Take ownership of the key.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.CryptoKeyRights

  Write attributes of the key.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.CryptoKeyRights

  Write key data.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.CryptoKeyRights

  Write extended attributes of the key.